<?php

use Spatie\LaravelSettings\Migrations\SettingsMigration;

return new class extends SettingsMigration
{
    public function up(): void
    {
        $this->migrator->add('datasource.data_source_type', 'opcua');
        $this->migrator->add('datasource.name', '');
        $this->migrator->add('datasource.description', '');
        $this->migrator->add('datasource.opcua_service_address', '');
        $this->migrator->add('datasource.security_policy_address', '');
        $this->migrator->add('datasource.security_mode', '');
        $this->migrator->add('datasource.key_authentication_file', '');
        $this->migrator->add('datasource.certificate_authentication_file', '');
        $this->migrator->add('datasource.trusted_list', '');
        $this->migrator->add('datasource.measurement_point_address', '');
        $this->migrator->add('datasource.interface_address', '');
        $this->migrator->add('datasource.username', '');
        $this->migrator->add('datasource.password', '');
        $this->migrator->add('datasource.certificate_identity_file', '');
        $this->migrator->add('datasource.key_identity_file', '');
        $this->migrator->add('datasource.state', false);
    }
};
